from setuptools import setup, find_packages
from setuptools.command.install import install
import os
import subprocess

class PostInstallCommand(install):
    def run(self):
        install.run(self)
        pyinstxtractor_path = os.path.join(os.path.dirname(__file__), "reversepi", "pyinstxtractor.py")
        if not os.path.isfile(pyinstxtractor_path):
            subprocess.run([self.distribution.get_command_obj('build').executable, "reversepi/post_install.py"], check=True)

setup(
    name="reversepi",
    version="0.3",
    packages=find_packages(),
    install_requires=[
        "uncompyle6",
    ],
    entry_points={
        "console_scripts": [
            "reversepi=reversepi.cli:main",
        ],
    },
    include_package_data=True,
    description="A tool to extract and decompile PyInstaller executables",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    author="MrFidal",
    author_email="mrfidal@proton.me",
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires='>=3.6',
    cmdclass={
        'install': PostInstallCommand,
    },
)
